Bug 11929 - patron modification error shows borrowernumber
Summary: patron modification error shows borrowernumber
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-12 13:19 UTC by Nicole C. Engard
Modified: 2016-12-05 21:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11929 - patron modification error shows borrowernumber (3.17 KB, patch)
2015-04-26 19:48 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 11929 - patron modification error shows borrowernumber (3.37 KB, patch)
2015-04-29 08:00 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 11929 - patron modification error shows borrowernumber (3.42 KB, patch)
2015-04-29 08:02 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 11929 - patron modification error shows borrowernumber (3.48 KB, patch)
2015-04-29 08:38 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-03-12 13:19:01 UTC
The patron modification tools wants you to provide a file of (or a list of scanned) patron barcodes, but when it has errors updating it presents you with the borrowernumber instead. Not many people know the borrowernumber that matches the barcode they scanned off the top of their head. The error should show the barcode number since that's what entered (or both the barcode number and the borrowernumber if need be).

Example error:

    Can not update patron with borrowernumber 70552
    Can not update patron with borrowernumber 74777
    Can not update patron with borrowernumber 77472
Comment 1 Owen Leonard 2014-07-18 18:44:23 UTC
How do you trigger this kind of error?
Comment 2 Jonathan Druart 2015-04-24 14:48:02 UTC
It could be quite easy to fix.
Nicole, How do you get these errors?
Comment 3 Nicole C. Engard 2015-04-24 21:02:41 UTC
You know what - Owen asks a good question ... I have no idea how I got that error - I must have been documenting something, but now I can't make the error happen ... any chance that error is in the code?
Comment 4 Marc Véron 2015-04-26 19:48:07 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-04-28 15:17:27 UTC
(In reply to Marc Véron from comment #4)
> Created attachment 38520 [details] [review] [review]
> Try to find a modification that triggers an error in ModMember
> (C4/Members.pm)

Please detail :)
Comment 6 M. Tompsett 2015-04-29 08:00:45 UTC Comment hidden (obsolete)
Comment 7 M. Tompsett 2015-04-29 08:02:19 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2015-04-29 08:38:06 UTC
Created attachment 38645 [details] [review]
Bug 11929 - patron modification error shows borrowernumber

If an error occurs in patron batch modification, a message similar to the following is displayed:
Can not update patron with borrowernumber 7055

It would be useful to have the cardnumber as well.

This patch adds the card number to the lists of errors.

It is not easy to trigger an error (see comments).
For testing, I tweaked the sub ModMember in C4/Members.pm to always return false.

TEST PLAN
---------
1) Log in as a superlibrarian and create a test user
2) Change the cardnumber to a number differing from the
   borrower number.
3) Home -> Tools -> Batch patron modification
4) Type in the cardnumber of that test user
5) Check the Library checkbox.
6) Click Save
   -- nice error, but it is borrower number instead of
      the card number which was entered.
7) Apply the patch
8) Repeat steps 3-6
   -- nice error, but it is now more informative.
9) run koha qa test tools.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 9 Tomás Cohen Arazi 2015-06-01 17:35:10 UTC
Patch pushed to master.

Thanks Marc!
Comment 10 Chris Cormack 2015-06-03 08:22:29 UTC
Pushed to 3.20.x will be in 3.20.1